Loading...
Searching...
No Matches
l4_icu_info_t Struct Reference
Base API » Kernel Objects » Interrupt controller

Info structure for an ICU. More...

`#include <icu.h>`

Inheritance diagram for l4_icu_info_t:
Collaboration diagram for l4_icu_info_t:

## Data Fields

unsigned | features
| Feature flags.
unsigned | nr_irqs
| The number of IRQ lines supported by the ICU,.
unsigned | nr_msis
| The number of MSI vectors supported by the ICU,.

## Detailed Description

Info structure for an ICU.

This structure contains information about the features of an ICU.

See also
  l4_icu_info().

Definition at line 163 of file icu.h.

## Field Documentation

## features

unsigned l4_icu_info_t::features

Feature flags.

If L4_ICU_FLAG_MSI is set the ICU supports MSIs.

Definition at line 170 of file icu.h.

Referenced by L4::Icu::Info::supports_msi().

The documentation for this struct was generated from the following file:

- l4/sys/icu.h